/// <reference path="../../../../../../../src/@types/@kano/common/index.d.ts" />
import { Field } from '@kano/kwc-blockly/blockly.js';
export declare type ISequenceConfig = boolean[];
export declare class FieldSequence extends Field {
    private _size;
    private _steps;
    private _stepWidth;
    private _step;
    __id: string;
    private dot?;
    private _onDidChangeSteps;
    private cells;
    private wrapRect?;
    private listeners;
    static getCell(): SVGRectElement;
    readonly onDidChangeSteps: import("@kano/common/index.js").IEvent<boolean[]>;
    constructor(size: number, opt_validator?: () => void);
    static readonly map: Map<any, any>;
    getSteps(): ISequenceConfig;
    setSteps(config: ISequenceConfig): void;
    setSize(size: number): void;
    renderSteps(): void;
    addStyles(): void;
    init(): void;
    render_(): void;
    setValue(): void;
    getValue(): string;
    setCurrentStep(index: number): void;
    dispose(): void;
}
